org.python.core

## Class PyBaseCode

- java.lang.Object
- - org.python.core.PyObject
  - - org.python.core.PyCode
    - - org.python.core.PyBaseCode

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    PyBytecode, PyTableCode

      public abstract class PyBaseCode
      extends PyCode

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.python.core.PyObject

      `PyObject.ConversionException`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `co_argcount`
    `java.lang.String[]` | `co_cellvars`
    `java.lang.String` | `co_filename`
    `int` | `co_firstlineno`
    `CompilerFlags` | `co_flags`
    `java.lang.String[]` | `co_freevars`
    `int` | `co_nlocals`
    `java.lang.String[]` | `co_varnames`
    `int` | `jy_npurecell`
    `boolean` | `varargs`
    `boolean` | `varkwargs`

    - ### Fields inherited from class org.python.core.PyCode

      `co_name`

    - ### Fields inherited from class org.python.core.PyObject

      `gcMonitorGlobal, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PyBaseCode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PyObject` | `call(ThreadState ts, PyFrame frame, PyObject closure)`
    `PyObject` | `call(ThreadState state, PyObject[] args, java.lang.String[] kws, PyObject globals, PyObject[] defs, PyObject closure)`
    `PyObject` | `call(ThreadState state, PyObject globals, PyObject[] defaults, PyObject closure)`
    `PyObject` | `call(ThreadState state, PyObject self, PyObject[] args, java.lang.String[] keywords, PyObject globals, PyObject[] defaults, PyObject closure)`
    `PyObject` | `call(ThreadState state, PyObject arg1, PyObject globals, PyObject[] defaults, PyObject closure)`
    `PyObject` | `call(ThreadState state, PyObject arg1, PyObject arg2, PyObject globals, PyObject[] defaults, PyObject closure)`
    `PyObject` | `call(ThreadState state, PyObject arg1, PyObject arg2, PyObject arg3, PyObject globals, PyObject[] defaults, PyObject closure)`
    `PyObject` | `call(ThreadState state, PyObject arg1, PyObject arg2, PyObject arg3, PyObject arg4, PyObject globals, PyObject[] defaults, PyObject closure)`
    `CompilerFlags` | `getCompilerFlags()`
    `boolean` | `hasFreevars()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.python.core.PyCode

      `call, call`

    - ### Methods inherited from class org.python.core.PyObject

      `__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __ensure_finalizer__, __eq__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __finditem__, __finditem__, __float__, __floordiv__, __format__, __ge__, __get__, __getattr__, __getattr__, __getitem__, __getitem__, __getnewargs__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iter__, __iternext__, __itruediv__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __truediv__, __trunc__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, bit_length, conjugate, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getType, hashCode, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, isInteger, isMappingType, isNumberType, isSequenceType, noAttributeError, object___subclasshook__, readonlyAttributeError, setDict, setType`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### co_argcount

          public int co_argcount

    - #### co_firstlineno

          public int co_firstlineno

    - #### co_varnames

          public java.lang.String[] co_varnames

    - #### co_cellvars

          public java.lang.String[] co_cellvars

    - #### jy_npurecell

          public int jy_npurecell

    - #### co_freevars

          public java.lang.String[] co_freevars

    - #### co_filename

          public java.lang.String co_filename

    - #### co_flags

          public CompilerFlags co_flags

    - #### co_nlocals

          public int co_nlocals

    - #### varargs

          public boolean varargs

    - #### varkwargs

          public boolean varkwargs

  - ### Constructor Detail

    - #### PyBaseCode

          public PyBaseCode()

  - ### Method Detail

    - #### hasFreevars

          public boolean hasFreevars()

    - #### call

          public PyObject call(ThreadState ts,
                               PyFrame frame,
                               PyObject closure)

      Specified by:
        `call` in class `PyCode`

    - #### call

          public PyObject call(ThreadState state,
                               PyObject globals,
                               PyObject[] defaults,
                               PyObject closure)

      Specified by:
        `call` in class `PyCode`

    - #### call

          public PyObject call(ThreadState state,
                               PyObject arg1,
                               PyObject globals,
                               PyObject[] defaults,
                               PyObject closure)

      Specified by:
        `call` in class `PyCode`

    - #### call

          public PyObject call(ThreadState state,
                               PyObject arg1,
                               PyObject arg2,
                               PyObject globals,
                               PyObject[] defaults,
                               PyObject closure)

      Specified by:
        `call` in class `PyCode`

    - #### call

          public PyObject call(ThreadState state,
                               PyObject arg1,
                               PyObject arg2,
                               PyObject arg3,
                               PyObject globals,
                               PyObject[] defaults,
                               PyObject closure)

      Specified by:
        `call` in class `PyCode`

    - #### call

          public PyObject call(ThreadState state,
                               PyObject arg1,
                               PyObject arg2,
                               PyObject arg3,
                               PyObject arg4,
                               PyObject globals,
                               PyObject[] defaults,
                               PyObject closure)

      Specified by:
        `call` in class `PyCode`

    - #### call

          public PyObject call(ThreadState state,
                               PyObject self,
                               PyObject[] args,
                               java.lang.String[] keywords,
                               PyObject globals,
                               PyObject[] defaults,
                               PyObject closure)

      Specified by:
        `call` in class `PyCode`

    - #### call

          public PyObject call(ThreadState state,
                               PyObject[] args,
                               java.lang.String[] kws,
                               PyObject globals,
                               PyObject[] defs,
                               PyObject closure)

      Specified by:
        `call` in class `PyCode`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `PyObject`

    - #### getCompilerFlags

          public CompilerFlags getCompilerFlags()

Jython homepage